package +zoccolo+.job;

import +zoccolo+.task.impl.+Quartztask+TaskImpl;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

public class +Quartzjob+ extends QuartzJobBean {

	private static final Logger log = Logger.getLogger(+Quartzjob+.class);

	@Autowired
	+Quartztask+TaskImpl task;

	@Override
	protected void executeInternal(JobExecutionContext arg0)
	
			throws JobExecutionException {
		
		try {
			log.debug("executeInternal...");
			SpringBeanAutowiringSupport
					.processInjectionBasedOnCurrentContext(this);
			task.execute(arg0);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
